Skip to main content
`Ctrl`+`K`

# MatGetRowMinAbs

Gets the minimum value (in absolute value) of each row of the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowMinAbs(Mat mat, Vec v, PetscInt idx[])

Logically Collective

## Input Parameter

- mat - the matrix

## Output Parameters

- v - the vector for storing the minimums

- idx - the indices of the column found for each row (or `NULL` if not needed)

## Notes

if a row is completely empty or has only 0.0 values, then the `idx` value for that row is 0 (the first column).

This code is only implemented for a couple of matrix formats.

## See Also

Matrices, `Mat`, `MatGetDiagonal()`, `MatCreateSubMatrices()`, `MatCreateSubMatrix()`, `MatGetRowMax()`, `MatGetRowMaxAbs()`, `MatGetRowMin()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex72.c

## Implementations

MatGetRowMinAbs_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c
MatGetRowMinAbs_SeqAIJ() in src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages